Shopping Insight
curl --request GET \
--url https://scrapebadger.com/v1/naver/shopping/insight \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/naver/shopping/insight"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/naver/shopping/insight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category_id": "<string>",
"date_range": "<string>",
"result_count": 123,
"keywords": [
{
"rank": 123,
"keyword": "<string>"
}
]
}Shopping Intelligence
Shopping Insight
Naver Shopping keyword insight — the ranked top search keywords for a category over a date range.
GET
/
v1
/
naver
/
shopping
/
insight
Shopping Insight
Fetch Naver Shopping’s keyword insight ranking — the top search keywords for a
category over a date range. Use it to see what shoppers in a category are
actually searching for.
Credits: 5
This endpoint returns Naver Shopping’s ranking data only. General product
search and SmartStore storefront listings are not offered.
Authorization
string
required
Your ScrapeBadger API key.
Query Parameters
string
required
Naver Shopping category id to rank keywords within.
string
required
Start of the date range,
YYYY-MM-DD.string
required
End of the date range,
YYYY-MM-DD.string
default:"date"
Aggregation unit, e.g.
date, week, month.integer
default:"20"
Number of keywords to return.
Response
string
Echo of the requested category.
string
The date range the ranking covers.
integer
Keywords returned.
Example
curl "https://scrapebadger.com/v1/naver/shopping/insight?category_id=50000000&start_date=2026-08-01&end_date=2026-08-07&time_unit=date&count=20" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch(
"https://scrapebadger.com/v1/naver/shopping/insight?" +
new URLSearchParams({
category_id: "50000000",
start_date: "2026-08-01",
end_date: "2026-08-07",
time_unit: "date",
count: "20",
}),
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/naver/shopping/insight",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"category_id": "50000000",
"start_date": "2026-08-01",
"end_date": "2026-08-07",
"time_unit": "date",
"count": 20,
},
)
data = res.json()
Response
{
"category_id": "50000000",
"date_range": "2026-08-01 ~ 2026-08-07",
"result_count": 20,
"keywords": [
{ "rank": 1, "keyword": "반팔티" },
{ "rank": 2, "keyword": "린넨 셔츠" },
{ "rank": 3, "keyword": "샌들" }
]
}

